<?php 
$installed_payment_methods = WC()->payment_gateways()->payment_gateways();
?>
<div class="wc-metabox wcol-new open">
	<input type="hidden" name="wcol_rules[id][<?php esc_html_e($_POST['wcol_spid']); ?>]" value="<?php echo uniqid(); ?>"/>
	<h3><?php esc_html_e('New Rule(Not Saved)', 'wc-order-limit') ?><span class="wcol-delete" data-id="<?php echo uniqid(); ?>"><?php esc_html_e('Delete', 'wc-order-limit') ?></span></h3>
	<div class="wc-metabox-content">
		<div class="options_group">
			<p class="form-field">
				<label><?php esc_html_e('Minimum Order', 'wc-order-limit') ?>:</label>
				<input type="number" min="0"  name="wcol_rules[min-rule-limit][<?php esc_html_e($_POST['wcol_spid']); ?>]" class="wcol-rule-min-limit" value="" placeholder="<?php esc_html_e('Enter Minimum Order Limit', 'wc-order-limit') ?>" />
			</p>
			<p class="wcol-description"><?php esc_html_e('Leave blank for no limit.', 'wc-order-limit') ?></p>
		</div>
		
		<div class="options_group">
			<p class="form-field">
				<label><?php esc_html_e('Check Previous Orders:', 'wc-order-limit'); ?></label>
				<select class="across-all-orders-limit" name="wcol_rules[across-all-orders][<?php esc_html_e($_POST['wcol_spid']); ?>]">
                    <option value="1"><?php esc_html_e('None','wc-order-limit'); ?></option>
                    <option value="2"><?php esc_html_e('Previous Orders of Current User','wc-order-limit'); ?></option>
                    <option value="3"><?php esc_html_e('Previous Orders of All Users','wc-order-limit'); ?></option>
                </select>
			</p>
			<p class="wcol-description"><?php esc_html_e('Min Limits will be ignored if this feature is enabled.', 'wc-order-limit'); ?></p>
		</div>
							
		<div class="options_group">
			<p class="form-field">
				<label><?php esc_html_e('Enable Maximum Limit', 'wc-order-limit') ?>:</label>
				<input type="hidden" class="wcol-loop-checkbox-hidden enable-max-rule-limit-hidden" name="wcol_rules[enable-max-rule-limit][<?php esc_html_e($_POST['wcol_spid']); ?>]" />
				<input type="checkbox" class="wcol-loop-checkbox enable-max-rule-limit" min="0"/>
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('Maximum Order', 'wc-order-limit') ?>:</label>
				<input type="number" class="wcol-rule-max-limit" min="0"  name="wcol_rules[max-rule-limit][<?php esc_html_e($_POST['wcol_spid']); ?>]" placeholder="<?php esc_html_e('Enter Maximum Order Limit', 'wc-order-limit') ?>" />
			</p>
		</div>
		<div class="options_group">
			<p class="form-field">
				<label><?php esc_html_e('Enable Time Span', 'wc-order-limit') ?>:</label>
				<input type="hidden" class="wcol-loop-checkbox-hidden enable-time-limit-hidden" name="wcol_rules[enable-time-limit][<?php esc_html_e($_POST['wcol_spid']); ?>]" />
				<input class="wcol-loop-checkbox enable-time-limit" type="checkbox" />
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('Time Span:', 'wc-order-limit'); ?></label>
				<select class="wcol-rule-time-span" name="wcol_rules[rule-time-span][<?php esc_html_e($_POST['wcol_spid']); ?>]">
					<option value="daily" ><?php esc_html_e('Daily'); ?></option>
					<option value="weekly" ><?php esc_html_e('Weekly'); ?></option>
					<option value="monthly" ><?php esc_html_e('Monthly'); ?></option>
					<option value="yearly" ><?php esc_html_e('Yearly'); ?></option>
					<option value="custom" ><?php esc_html_e('Custom'); ?></option>
				</select>
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('Year Start Date:', 'wc-order-limit'); ?></label>
				<input type="number" max="31" min="01" class="wcol-yearly-start-day" name="wcol_rules[yearly-start-day][<?php esc_html_e($_POST['wcol_spid']); ?>]" value="01"/>
				<select class="wcol-yearly-start-month" name="wcol_rules[yearly-start-month][<?php esc_html_e($_POST['wcol_spid']); ?>]">
					<?php if(is_array($monthsArray)){ foreach($monthsArray as $key => $value){ ?>
						<option value="<?php echo $key; ?>" ><?php echo $value; ?></option>
					<?php } } ?>
				</select>
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('Week Start Day:', 'wc-order-limit'); ?></label>
				<select class="wcol-weekly-start-day" name="wcol_rules[weekly-start-day][<?php esc_html_e($_POST['wcol_spid']); ?>]">
					<?php if(is_array($weeksArray)) { foreach($weeksArray as $key => $value){ ?>
						<option value="<?php echo $key; ?>" ><?php echo $value; ?></option>
					<?php } } ?>
				</select>
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('Month Start Date:', 'wc-order-limit'); ?></label>
				<input class="wcol-monthly-start-date" type="number" min="01" max="31" name="wcol_rules[monthly-start-date][<?php esc_html_e($_POST['wcol_spid']); ?>]" value="01"/>
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('Start Time', 'wc-order-limit') ?>:</label>
				<input type="text" class="wcol-rule-start-time" name="wcol_rules[rule-start-time][<?php esc_html_e($_POST['wcol_spid']); ?>]" />
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('End Time', 'wc-order-limit') ?>:</label>
				<input type="text" class="wcol-rule-end-time" name="wcol_rules[rule-end-time][<?php esc_html_e($_POST['wcol_spid']); ?>]"/>
			</p>
		</div>
		<div class="options_group">
			<p class="form-field">
				<label><?php esc_html_e('Applied on', 'wc-order-limit') ?>:</label>
				<?php 
				$applied_on_ajax_options = '<option value="amount" >'. __('Amount', 'wc-order-limit').'</option>';
				$applied_on_ajax_options .= '<option value="quantity" >'. __('Quantity', 'wc-order-limit') .'</option>';
				$applied_on_ajax_options = apply_filters('wcol_applied_on_ajax_option' , $applied_on_ajax_options );
				?>
				<select name="wcol_rules[applied_on][<?php esc_html_e($_POST['wcol_spid']); ?>]" >
					<?php echo $applied_on_ajax_options; ?>
				</select>
			</p>
			<p class="wcol-description"><?php esc_html_e('Select if limit will be applied on quantity or amount.', 'wc-order-limit') ?></p>
		</div>
		<div class="options_group">                                                                  
			<p class="form-field">
				<label><?php esc_html_e('Enable for Users', 'wc-order-limit') ?>:</label>
				<input type="hidden" class="wcol-loop-checkbox-hidden" name="wcol_rules[enable-for-users][<?php esc_html_e($_POST['wcol_spid']); ?>]" />
				<input type="checkbox" class="wcol-loop-checkbox enable-users-limit" />
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('User Type', 'wc-order-limit') ?>:</label>
				<select class="wcol-rule-user-type" name="wcol_rules[user-type][<?php esc_html_e($_POST['wcol_spid']); ?>]">
					<option value="guest-users"><?php esc_html_e('Guest Users Only', 'wc-order-limit') ?></option>
					<option value="specific-users"><?php esc_html_e('Specific Users Only', 'wc-order-limit') ?></option>
					<option value="specific-roles"><?php esc_html_e('Specific Roles Only', 'wc-order-limit') ?></option>
					<option value="all-users"><?php esc_html_e('All Users'); ?></option>
				</select>
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('Users', 'wc-order-limit') ?>:</label>
				<select class="wcol-select-users wcol-rule-users" name="wcol_rules[rule-users][<?php esc_html_e($_POST['wcol_spid']); ?>][]"></select>
			</p>
			<p class="form-field wcol-hidden">
				<label><?php esc_html_e('Roles', 'wc-order-limit') ?>:</label>
				<select class="wcol-select-roles wcol-rule-roles" name="wcol_rules[rule-roles][<?php esc_html_e($_POST['wcol_spid']); ?>][]"></select>
			</p>
		</div>
		<div class="options_group">
			<p class="form-field">
				<label><?php esc_html_e('Enable for Payment Method:', 'wc-order-limit'); ?></label>
				<input type="hidden" class="wcol-loop-checkbox-hidden"  name="wcol_rules[enable-for-payment][<?php esc_html_e($_POST['wcol_spid']); ?>]"/>
				<input type="checkbox" class="wcol-loop-checkbox enable-payment-limit" />
			</p>
			<p class="form-field wcol-payment-method wcol-hidden">
				<label><?php esc_html_e('Payment Method' ,'wc-order-limit'); ?>:</label>
				<select class="wcol-rule-payment-type" name="wcol-rules[payment-method][<?php esc_html_e($_POST['wcol_spid']); ?>][]" multiple="multiple">
					<?php 
						if(is_array($installed_payment_methods) && !empty($installed_payment_methods)){
							foreach($installed_payment_methods as $key=>$method){
								echo "<option value='".$key."'>".$method->title."</option>";
							}
						}
					?>
				</select>
			</p> 
		</div>
	</div>
</div>