<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://xfinitysoft.com/
 * @since      5.0.0
 *
 * @package    Wc_Order_Limit
 * @subpackage Wc_Order_Limit/admin/views
 */
$wcol_options = get_option('wcol_options');
$wcol_settings = $wcol_options['wcol_settings'];
$product_rule = '';
if(!isset($wcol_settings['enable_product_limit']) || $wcol_settings['enable_product_limit']!='on'){
    $product_rule = 'disabled';
}
$category_rule = '';
if(!isset($wcol_settings['enable_category_limit'])|| $wcol_settings['enable_category_limit']!='on'){
    $category_rule = 'disabled';
}
$customer_rule = '';
if(!isset($wcol_settings['enable_customer_limit']) || $wcol_settings['enable_customer_limit']!='on'){
    $customer_rule = 'disabled';
}
$vendor_rule ='';
if(!isset($wcol_settings['enable_vendor_limit']) || $wcol_settings['enable_vendor_limit']!='on'){
    $vendor_rule = 'disabled';
}
$installed_payment_methods = WC()->payment_gateways()->payment_gateways();

?>
 <p class="form-field">
    <label><?php esc_html_e('Select Rule Type', 'wc-order-limit'); ?></label>
    <select class="wcol-select-rule-type" name="wcol-rules[rule-type]" >
        <option value="none"><?php esc_html_e('Select rule type','wc-order-limit'); ?></option>
        <?php
            if(is_plugin_active( 'wc-vendors/class-wc-vendors.php' )){
                ?>
                <option value="vendor" <?php echo (isset($rule['rule-type']) && $rule['rule-type']=='vendor') ? 'selected="selected"':''; echo $vendor_rule; ?> ><?php esc_html_e('Vendors Rules' , 'wc-order-limit'); ?></option>
                <?php 
            } 
        ?>
        <option value="products" <?php echo (isset($rule['rule-type']) && $rule['rule-type']=='products') ? 'selected="selected"':''; echo $product_rule; ?>><?php esc_html_e('Products Rules' , 'wc-order-limit'); ?></option>
        <option value="categories" <?php echo (isset($rule['rule-type']) && $rule['rule-type']=='categories') ? 'selected="selected"':''; echo $category_rule; ?>><?php esc_html_e('Categories Rules' , 'wc-order-limit'); ?></option>
        <option value="customer" <?php echo (isset($rule['rule-type']) && $rule['rule-type']=='customer') ? 'selected="selected"':''; echo $customer_rule; ?>><?php esc_html_e('Customers Rules' , 'wc-order-limit'); ?></option>
    </select>
    <span class="wcol-help-tip" style="float:none; margin-right:0;">
        <span class="wcol-tip" > <?php _e("You can Enable/Disable Rule Type from Advanced Settings", 'wc-order-limit'); ?> </span>
    </span>
</p>
<table class="wp-list-table widefat fixed striped <?php echo (!isset($rule['rule-type']) || empty($rule['rule-type'])) ? 'wcol-rule-table':'' ?>">
    <tbody class="wcol-main-body">
        <tr>
            <th class="manage-column column-primary wcol-object-type-th">
                <?php esc_html_e('Select items', 'wc-order-limit'); ?>
            </th>
            <td class="column-primary">
                <select class="wcol-select-items" name="wcol-rules[obj_ids][]" multiple="multiple" <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?> >
                    <?php $select_cus_type ='';
                    if(isset($rule["obj_ids"]) && is_array($rule["obj_ids"]) && isset($rule['rule-type'])){
                        $select_cus_type ='';
                        foreach($rule["obj_ids"] as $item_id){
                                if(isset($item_id)&& !empty($item_id) ){          
                                    if($item_id == "-1"){
                                        ?>
                                        <option value="<?php esc_html_e($item_id)?>" selected="selected"> 
                                            <?php  esc_html_e("All ".$rule['rule-type']) ?>
                                        </option>
                                        <?php
                                    }else{
                                        if($rule['rule-type'] == "categories"){
                                            $item = get_term_by( 'id', $item_id, 'product_cat' ); 
                                            ?>
                                            <option value="<?php esc_html_e($item_id)?>" selected="selected"> 
                                                <?php   echo $item->name; ?>
                                            </option>
                                            <?php
                                        }
                                        if($rule['rule-type'] == "products"){
                                            $item = wc_get_product( $item_id );
                                            ?>
                                            <option value="<?php esc_html_e($item_id)?>" selected="selected"> 
                                                <?php   echo $item->get_name();?>
                                            </option>
                                            <?php
                                            
                                        }
                                        if($rule['rule-type'] == "vendor"){
                                            $item = null;
                                            $user_info =  get_userdata( $item_id );
                                            echo '<option value="'.$item_id.'" selected="selected">'.$user_info->display_name.'</option>';
                                        }
                                         if($rule['rule-type'] == "customer"){
                                            $item = null;
                                            $select_cus_type = $item_id;
                                            echo '<option value="'.$item_id.'" selected="selected">'.ucfirst(str_replace('-'," ", $item_id)).'</option>';
                                            
                                        }
                                    }
                                }   
                        }
                    } 
                    ?>
                </select>
            </td>
        </tr>

        <tr class="cus-edit xswcol-cus-user <?php if($select_cus_type != 'selective-users' && $select_cus_type != 'roles'){echo  "xswcol-cus-user-role"; }?>">
            <th class="manage-column"> 
                <?php esc_html_e('Users/Roles','wc-order-limit'); ?>
            </th>
            <td class="wcol-select-cus-users <?php if($select_cus_type != 'selective-users'){echo "wcol-select-cus-type";} ?>">
                <select class="wcol-select-users wcol-rule-users <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[cus-rule-users][]" multiple="multiple" >
                    <?php if(isset($rule['cus-rule-users'] ) && is_array($rule['cus-rule-users'] )){
                    foreach($rule['cus-rule-users'] as $id){
                          $user_info =  get_userdata( $id );
                          echo '<option value="'.$id.'" selected="selected">'.$user_info->user_login.'</option>';

                        }
                    }?>
                </select>
            </td>
            <td class="wcol-select-cus-roles <?php if($select_cus_type != 'roles'){echo "wcol-select-cus-type";} ?> ">
                <select class="wcol-select-roles wcol-rule-roles <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[cus-rule-roles][]" multiple="multiple" >
                    <?php if(isset($rule['cus-rule-roles']) && is_array($rule['cus-rule-roles'])){
                     foreach($rule['cus-rule-roles'] as $role){
                          echo '<option value="'.$role.'" selected="selected">'.ucfirst($role).'</option>';

                        }
                    } ?>
                </select>
            </td>
        </tr>
        <tr class="no-cus-edit">
            <th class="manage-column"> 
                <?php esc_html_e('Minimum Limit','wc-order-limit'); ?>
            </th>
            <td data-colname="<?php esc_html_e('Minimum Limit', 'wc-order-limit');?>">
                <input type="number" min="0" name="wcol-rules[min-rule-limit]" value="<?php echo (isset($rule['min-rule-limit']))?$rule['min-rule-limit']:'' ?>"class="wcol-rule-min-limit <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>"/>
            </td>
        </tr>
        <tr>
            <th  class="manage-column">
                <?php esc_html_e('Applied on', 'wc-order-limit'); ?>
                <div class="wcol-help-tip" style="float:none; margin-right:0;">
                    <span class="wcol-tip" > <?php _e("Select  whether Min and Max limits will be applied on Product(s)'s Amount in cart or on Quantity of Product(s)'s Items in Cart.", 'wc-order-limit'); ?> </span>
                </div>
            </th>
            <td data-colname="<?php  esc_html_e('Applied On', 'wc-order-limit');?>">
                <?php 
                    $applied_on_options = '' ;
                    $applied_on_options .= '<option value="amount" ';
                    $applied_on_options .= (isset($rule['applied_on']) && $rule['applied_on'] == 'amount') ? 'selected="selected"':'';
                    $applied_on_options .= '>' . esc_html__('Amount', 'wc-order-limit') . '</option>';
                    $applied_on_options .= '<option value="quantity" ';
                    $applied_on_options .= (isset($rule['applied_on']) && $rule['applied_on'] == 'quantity') ? 'selected="selected"':'';
                    $applied_on_options .=' >' . esc_html__('Quantity', 'wc-order-limit') . '</option>';
                    $applied_on_options  = apply_filters('wcol_applied_on_options',$applied_on_options,$rule);
                ?>
                <select class="no-cus-edit wcol-select-applied-on <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[applied_on]" >
                    <?php echo $applied_on_options;  ?>
                </select>
                <select class="cus-edit wcol-select-applied-on <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[cus_applied_on]" >
                    <option value="amount" <?php echo (isset($rule['cus_applied_on']) && $rule['cus_applied_on'] == 'amount') ? 'selected="selected"':''; ?>>
                        <?php esc_html_e('Total Amount', 'wc-order-limit') ?>
                    </option>
                    <option value="quantity" <?php echo (isset($rule['cus_applied_on']) && $rule['cus_applied_on'] == 'quantity') ? 'selected="selected"':''; ?>>
                        <?php esc_html_e('No. of orders', 'wc-order-limit') ?>
                    </option>
                </select>
            </td>
        </tr>
        <tr class="cus-edit">
            <th class="manage-column">
                <?php esc_html_e('Limit','wc-order-limit'); ?>
            </th>
            <td  data-colname="<?php esc_html_e('Limit', 'wc-order-limit');?>">
                <input type="number" min="0" name="wcol-rules[cus-max-rule-limit]" value="<?php echo (isset($rule['cus-max-rule-limit']))?$rule['cus-max-rule-limit']:'' ?>"class="wcol-rule-min-limit <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>"/>
            </td>
        </tr>
        <tr class="procat">
            <th  class="manage-column">
                <?php esc_html_e('Accumulatively', 'wc-order-limit'); ?>
                <div class="wcol-help-tip" style="float:none; margin-right:0;">
                    <span class="wcol-tip" > <?php esc_html_e('Either limits will be applied accomulatively or individually on selected Product categories. i.e if you check this box then accomulative total amount or quantity for selected Products will be considered rather than individual Product.','wc-order-limit'); ?> </span>
                </div>
            </th>
            <td  data-colname="<?php esc_html_e('Accumulatively', 'wc-order-limit');?>">
                <input type="checkbox" name="wcol-rules[accomulative]" class="wcol-accomulative wcol-loop-checkbox <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" <?php echo (isset($rule['accomulative']) && !empty($rule['accomulative'])) ? 'checked="checked"':'' ?> />
            </td>
        </tr>
        <tr class="ven-edit">
            <th class="manage-column">
                    <?php esc_html_e('Editable By Vendor', 'wc-order-limit'); ?>
                <div class="wcol-help-tip" style="float:none; margin-right:0;">
                    <span class="wcol-tip" > <?php _e("Either you want to allow vendors to edit his limits in his dashboard or not.", 'wc-order-limit'); ?> </span>
                </div>
            </th>
            <td  data-colname="<?php esc_html_e('Editable', 'wc-order-limit'); ?>">
                <input type="checkbox"  name="wcol-rules[editable]" class="wcol-loop-checkbox <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" <?php echo isset($rule['editable']) ? 'checked="checked"':'' ?>/>
            </td>
        </tr>
        <tr>
            <th class="manage-column"><?php esc_html_e('More Options', 'wc-order-limit'); ?></th>
            <td class="wcol-more-options-td">
                <div class="wcol-more-options">
                    <a class="wcol-show-more-options" href="#"><?php esc_html_e('More Options', 'wc-order-limit')?></a>
                    <a class="wcol-hide-more-options wcol-hidden" href="#"><?php esc_html_e('Hide Options', 'wc-order-limit'); ?></a>
                </div>
            </td>
        </tr>           
    </tbody>
</table>
<div class="wcol-rule-options wcol-hidden">
    <div class="wcol-more-options-header">
        <h3><?php esc_html_e('More Options' , 'wc-order-limit'); ?></h3>
    </div>
    <table class="wp-list-table widefat fixed striped wcol_post_type_rule">
        <tr>
            <th><?php esc_html_e('Disable' , 'wc-order-limit'); ?>:</th>
            <td>
                <input type="hidden" class="wcol-loop-checkbox-hidden" name="wcol-rules[disable-limit]" value="<?php echo isset($rule['disable-limit'])?$rule['disable-limit']:''; ?>"/>
                <input class="wcol-disable-rule-limit wcol-loop-checkbox" type="checkbox" <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo "checked";} ?> />
            </td>
        </tr>

        <tr class="procat">
            <th>
                <?php esc_html_e('Check Previous Orders?' , 'wc-order-limit'); ?>
                <div class="wcol-help-tip" style="float:none; margin-right:0;">
                    <span class="wcol-tip" > <?php esc_html_e('Minimum Limits will be ignored if this option is enabled.','wc-order-limit'); ?> </span>
                </div>
            </th>
            <td>
                <select class="across-all-orders-limit <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[across-all-orders]">
                    <option value="1" <?php if(isset($rule['across-all-orders']) && $rule['across-all-orders'] == '1' ){ echo 'selected="selected"';} ?>><?php esc_html_e('None','wc-order-limit'); ?></option>
                    <option value="2" <?php if(isset($rule['across-all-orders']) && ($rule['across-all-orders'] == '2' || $rule['across-all-orders'] == 'on') ){ echo 'selected="selected"'; } ?>><?php esc_html_e('Previous Orders  of Current User','wc-order-limit'); ?></option>
                    <option value="3" <?php if(isset($rule['across-all-orders']) && $rule['across-all-orders'] == '3' ){ echo 'selected="selected"'; } ?>><?php esc_html_e('Previous Orders  of All Users','wc-order-limit'); ?></option>
                </select>
            </td>
        </tr>
        <tr class="no-cus-edit">
            <th><?php esc_html_e('Enable Maximum Limit','wc-order-limit'); ?>:</th>
            <td>
                <input type="hidden" class="enable-max-rule-limit-hidden wcol-loop-checkbox-hidden" name="wcol-rules[enable-max-rule-limit]" value="<?php echo isset($rule['enable-max-rule-limit']) ? $rule['enable-max-rule-limit']:''; ?>" />
                <input class="enable-max-rule-limit wcol-loop-checkbox <?php if( isset($rule['across-all-orders']) && $rule['across-all-orders'] !='1'){echo 'wcol-disabled';} ?>  <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" type="checkbox" <?php if(isset($rule['enable-max-rule-limit']) && $rule['enable-max-rule-limit']=='on'){echo "checked";} ?> />
            </td>
        </tr>
        
        <tr class="no-cus-edit <?php if(isset($rule['enable-max-rule-limit']) && $rule['enable-max-rule-limit']!='on'){echo "wcol-hidden";} ?>">
            <th><?php esc_html_e('Maximum Limit','wc-order-limit'); ?>:</th>
            <td><input type="number" min="0" class="wcol-rule-max-limit <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[max-rule-limit]" value="<?php echo isset($rule['max-rule-limit'])?$rule['max-rule-limit']:''; ?>"/></td>
        </tr>
        
        <tr>
            <th><?php esc_html_e('Enable Time Span','wc-order-limit'); ?>:</th>
            <td>
                <input type="hidden" class="enable-time-limit-hidden wcol-loop-checkbox-hidden" name="wcol-rules[enable-time-limit]" value="<?php echo isset($rule['enable-time-limit']) ? $rule['enable-time-limit']:''; ?>" />
                <input class="enable-time-limit wcol-loop-checkbox <?php if(isset($rule['across-all-orders']) && $rule['across-all-orders'] !='1'){echo 'wcol-disabled';} ?>  <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" type="checkbox" <?php if(isset($rule['enable-time-limit']) && $rule['enable-time-limit']=='on'){ echo   "checked";} ?> />
            </td>
        </tr>
        
        <tr class="<?php if(!isset($rule['enable-time-limit']) || (isset($rule['enable-time-limit']) && $rule['enable-time-limit']!='on')){echo "wcol-hidden";} ?>">
            <th><?php esc_html_e('Select Time Span' , 'wc-order-limit'); ?>:</th>
            <td>
                <select class="wcol-rule-time-span <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[rule-time-span]">
                    <option value="daily" <?php if (isset($rule['rule-time-span']) && $rule['rule-time-span'] == 'daily'){ echo 'selected'; } ?> ><?php esc_html_e('Daily' , 'wc-order-limit'); ?></option>
                    <option value="weekly" <?php if (isset($rule['rule-time-span']) && $rule['rule-time-span'] == 'weekly'){ echo 'selected'; } ?>><?php esc_html_e('Weekly' , 'wc-order-limit'); ?></option>
                    <option value="monthly" <?php if (isset($rule['rule-time-span']) && $rule['rule-time-span'] == 'monthly'){ echo 'selected'; } ?>><?php esc_html_e('Monthly' , 'wc-order-limit'); ?></option>
                    <option value="yearly" <?php if (isset($rule['rule-time-span']) && $rule['rule-time-span'] == 'yearly'){ echo 'selected'; } ?>><?php esc_html_e('Yearly' , 'wc-order-limit'); ?></option>
                    <option value="custom" <?php if (isset($rule['rule-time-span']) && $rule['rule-time-span'] == 'custom'){ echo 'selected'; } ?>><?php esc_html_e('Custom' , 'wc-order-limit'); ?></option>
                </select>
            </td>
        </tr>
        
        <tr class="<?php if(isset($rule['rule-time-span']) && $rule['rule-time-span']!='yearly'){echo "wcol-hidden";} if(!isset($rule['enable-time-limit'])){ echo "wcol-hidden"; } ?>">
            <th><?php esc_html_e('Year Start Date' , 'wc-order-limit'); ?>:</th>
            <td>
                <input type="number" max="31" min="01" class="wcol-yearly-start-day <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[yearly-start-day]" value="<?php echo isset($rule['yearly-start-day'])?$rule['yearly-start-day']:''; ?>"/>
                <select class="wcol-yearly-start-month <?php if( isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[yearly-start-month]">
                    <?php if(is_array($monthsArray)){ foreach($monthsArray as $key => $value){ ?>
                        <option value="<?php echo $key; ?>" <?php if(isset($rule['yearly-start-month']) && $rule['yearly-start-month'] == $key){ echo 'selected'; } ?> ><?php echo $value; ?></option>
                    <?php } } ?>
                </select>
            </td>
        </tr>
        
        <tr class="<?php if(isset($rule['rule-time-span']) && $rule['rule-time-span']!='weekly'){echo "wcol-hidden";} if(!isset($rule['enable-time-limit'])){ echo "wcol-hidden"; } ?>">
            <th><?php esc_html_e('Week Start Day' ,'wc-order-limit'); ?>:</th>
            <td>
                <select class="wcol-weekly-start-day <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[weekly-start-day]">
                    <?php if(is_array($weeksArray)){ foreach($weeksArray as $key => $value){ ?>
                        <option value="<?php echo $key; ?>" <?php if(isset($rule['weekly-start-day']) && $rule['weekly-start-day'] == $key){ echo 'selected'; } ?> ><?php echo $value; ?></option>
                    <?php } } ?>
                </select>
            </td>
        </tr>
        <tr class="<?php if(isset($rule['rule-time-span']) && $rule['rule-time-span']!='monthly'){echo "wcol-hidden";} if(!isset($rule['enable-time-limit'])){ echo "wcol-hidden"; }  ?>">
            <th><?php esc_html_e('Month Start Date'); ?>:</th>
            <td><input class="wcol-monthly-start-date <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" type="number" min="01" max="31" name="wcol-rules[monthly-start-date]" value="<?php echo isset($rule['monthly-start-date'])?$rule['monthly-start-date']:''; ?>"/></td>
        </tr>
        
        <tr class="<?php if((isset($rule['enable-time-limit']) && $rule['enable-time-limit']!='on') || (isset($rule['rule-time-span'] ) && $rule['rule-time-span'] != 'custom')){echo "wcol-hidden";} if(!isset($rule['enable-time-limit'])){ echo "wcol-hidden"; } ?>">
            <th><?php esc_html_e('Start Date' ,'wc-order-limit'); ?>:</th>
            <td><input class="wcol-rule-start-time <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[rule-start-time]" value="<?php echo isset($rule['rule-start-time']) ? $rule['rule-start-time']:''; ?>"/></td>
        </tr>
        
        <tr class="<?php if( (isset($rule['enable-time-limit']) && $rule['enable-time-limit']!='on') || (isset($rule['rule-time-span'] ) && $rule['rule-time-span'] != 'custom')){echo "wcol-hidden";} if(!isset($rule['enable-time-limit'])){ echo "wcol-hidden"; } ?>">
            <th><?php esc_html_e('End Date' ,'wc-order-limit'); ?>:</th>
            <td><input class="wcol-rule-end-time <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[rule-end-time]" value="<?php echo isset($rule['rule-end-time'])?$rule['rule-end-time']:''; ?>"/></td>
        </tr>
        
        <tr class="procat">
            <th><?php esc_html_e('Enable for Users' ,'wc-order-limit'); ?>:</th>
            <td>
                <input type="hidden" class="wcol-loop-checkbox-hidden" name="wcol-rules[enable-for-users]" value="<?php if(isset($rule['enable-for-users']) && $rule['enable-for-users']=='on'){echo $rule['enable-for-users'];} ?>"/>
                <input class="enable-users-limit wcol-loop-checkbox <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" type="checkbox" <?php if(isset($rule['enable-for-users']) && $rule['enable-for-users']=='on'){echo "checked";} ?> />
            </td>
        </tr>
        
        <tr class="procat <?php if(isset($rule['enable-for-users']) && $rule['enable-for-users']!='on'){echo "wcol-hidden";} if(!isset($rule['enable-for-users'])){ echo "wcol-hidden"; }?>">
            <th><?php esc_html_e('User Type' ,'wc-order-limit'); ?>:</th>
            <td>
                <select class="wcol-rule-user-type <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[user-type]">
                    <option value="guest-users" <?php if (isset($rule['user-type']) && $rule['user-type'] == 'guest-users'){ echo 'selected'; } ?> ><?php _e('Guest Users Only'); ?></option>
                    <option value="specific-users" <?php if (isset($rule['user-type']) && $rule['user-type'] == 'specific-users'){ echo 'selected'; } ?>><?php _e('Specific Users Only'); ?></option>
                    <option value="specific-roles" <?php if (isset($rule['user-type']) && $rule['user-type'] == 'specific-roles'){ echo 'selected'; } ?>><?php _e('Specific Roles Only'); ?></option>
                    <?php if(is_plugin_active('woocommerce-memberships/woocommerce-memberships.php')){ ?>
                        <option value ="membership" <?php if (isset($rule['user-type']) && $rule['user-type'] == 'membership'){ echo 'selected'; } ?>><?php _e('Membership Users'); ?></option>
                    <?php } ?>
                    <option value="all-users" <?php if (isset($rule['user-type']) && $rule['user-type'] == 'all-users'){ echo 'selected'; } ?>><?php _e('All Users'); ?></option>
                </select>
            </td>
        </tr>
        
        <tr class="procat <?php if((isset($rule['enable-for-users']) && $rule['enable-for-users']!='on') || (isset($rule['user-type']) && $rule['user-type'] != 'specific-users')){echo "wcol-hidden";} if(!isset($rule['enable-for-users'])){ echo "wcol-hidden"; }?>">
            <th><?php esc_html_e('Users' ,'wc-order-limit'); ?>:</th>
            <td>
                <select class="wcol-select-users wcol-rule-users <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[rule-users][]" multiple="multiple" >
                    <?php if(isset($rule['rule-users']) && is_array($rule['rule-users'])){
                    foreach($rule['rule-users'] as $id){
                          $user_info =  get_userdata( $id );
                          echo '<option value="'.$id.'" selected="selected">'.$user_info->user_login.'</option>';

                        }
                    }?>
                </select>
            </td>
        </tr>
        
        <tr class="procat <?php if((isset($rule['enable-for-users']) && $rule['enable-for-users']!='on') || (isset($rule['user-type']) && $rule['user-type'] != 'specific-roles')){echo "wcol-hidden";} if(!isset($rule['enable-for-users'])){ echo "wcol-hidden"; } ?>">
            <th><?php esc_html_e('Roles','wc-order-limit'); ?>:</th>
            <td>
                <select class="wcol-select-roles wcol-rule-roles <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[rule-roles][]" multiple="multiple" >
                    <?php if(isset($rule['rule-roles']) && is_array($rule['rule-roles'])){
                     foreach($rule['rule-roles'] as $role){
                          echo '<option value="'.$role.'" selected="selected">'.ucfirst($role).'</option>';

                        }
                    } ?>
                </select>
            </td>
        </tr> 
        <tr class="procat <?php if((isset($rule['enable-for-users']) && $rule['enable-for-users']!='on') || (isset($rule['user-type']) && $rule['user-type'] != 'membership')){echo "wcol-hidden";} if(!isset($rule['enable-for-users'])){ echo "wcol-hidden"; } ?>">
            <th><?php esc_html_e('Memberships','wc-order-limit'); ?>:</th>
            <td>
                <select class="wcol-select-memberships wcol-rule-memberships <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[rule-memberships][]" multiple="multiple" >
                    <?php if(isset($rule['rule-memberships']) && is_array($rule['rule-memberships'])){
                     foreach($rule['rule-memberships'] as $membership){
                          echo '<option value="'.$membership.'" selected="selected">'.get_the_title($membership).'</option>';

                        }
                    } ?>
                </select>
            </td>
        </tr> 
        <tr>
            <th><?php esc_html_e('Enable for Payment Method' ,'wc-order-limit'); ?>:</th>
            <td>
                <input type="hidden" class="wcol-loop-checkbox-hidden" name="wcol-rules[enable-for-payment]" value="<?php if(isset($rule['enable-for-payment']) && $rule['enable-for-payment']=='on'){echo $rule['enable-for-payment'];} ?>"/>
                <input class="enable-payment-limit wcol-loop-checkbox <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" type="checkbox" <?php if(isset($rule['enable-for-payment']) && $rule['enable-for-payment']=='on'){echo "checked";} ?> />
            </td>
        </tr>
        <tr class="wcol-payment-method <?php if(isset($rule['enable-for-payment']) && $rule['enable-for-payment']!='on'){echo "wcol-hidden";} if(!isset($rule['enable-for-payment'])){ echo "wcol-hidden"; }?>">
            <th><?php esc_html_e('Payment Method' ,'wc-order-limit'); ?>:</th>
            <td>
                <select class="wcol-rule-payment-type <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[payment-method][]" multiple="multiple">
                    <?php 
                        if(is_array($installed_payment_methods) && !empty($installed_payment_methods)){
                            foreach($installed_payment_methods as $key=>$method){
                                $selected = '';
                                if (isset($rule['payment-method']) && in_array($key,$rule['payment-method'])){
                                    $selected = 'selected="selected"'; 
                                }
                                echo "<option value='".$key."' ".$selected.">".$method->title."</option>";
                            }
                        }
                    ?>
                </select>
            </td>
        </tr>  
    </table>
</div>  
