<?php 
$installed_payment_methods = WC()->payment_gateways()->payment_gateways();
?>
<div id="wcol_tab" class="panel woocommerce_options_panel wc-metaboxes-wrapper xswcol-rules">
            
    <div class="toolbar">
        <div class="">
            <span class="spinner wcol_spinner"></span>
            <a id="wcol_add_new_rule" data-id="product" class="button" href="#"><?php esc_html_e('Add New Rule', 'wc-order-limit'); ?></a>
        </div>
        <div class="clear"></div>
    </div>
    
    <div class="wc-metaboxes">
        <?php 
            if(is_array($wcol_rules)){
            foreach($wcol_rules as $mkey => $wcol_options ) {
                $max_limit = $wcol_options['max-rule-limit'];
                $min_limit = $wcol_options['min-rule-limit'];
                if( empty($max_limit) || $wcol_options['enable-max-rule-limit'] != 'on' ){
                    $max_limit = '<span style="font-size:20px; font-weight:bold;vertical-align: text-bottom;">∞</span>';
                }else{
                    if($wcol_options['applied_on'] == 'amount'){
                        $max_limit = wc_price($max_limit);
                    }
                }
                if($wcol_options['applied_on'] == 'amount'){
                    $min_limit = wc_price($min_limit);
                }
            ?>
        <div class="wc-metabox closed <?php if(isset($wcol_options['accomulative']) and $wcol_options['accomulative']=='on'){echo 'wcol_accomulative_rule';} ?>">
            <h3>
                <?php 
                if($wcol_options['enable-for-users']=='on'){
                    switch($wcol_options['user-type']){
                        case 'guest-users':
                            echo esc_html__('Rule for guest users', 'wc-order-limit').' - '. $min_limit.' - '.$max_limit;
                            break;
                        case 'specific-users':
                            echo esc_html__('Rule for specific users', 'wc-order-limit').' - '. $min_limit.' - '.$max_limit;
                            break;
                        case 'specific-roles':
                            echo esc_html__('Rule for specific roles', 'wc-order-limit').' - '. $min_limit.' - '.$max_limit;
                            break;
                        case 'all-users':
                           echo esc_html__('Rule for All users', 'wc-order-limit').' - '. $min_limit.' - '.$max_limit;
                            break;
                    }
                }else{
                    echo esc_html__('Rule for all users', 'wc-order-limit').' - '. $min_limit.' - '.$max_limit;
                }
                ?>
                <span class="wcol-delete" data-id="<?php echo $wcol_options['id']; ?>"><?php esc_html_e('Delete', 'wc-order-limit'); ?></span>
            </h3>
            <div class="wc-metabox-content" style="display:none;">
                <input type="hidden" value="<?php echo $wcol_options['id']; ?>" name="wcol_rules[id][<?php echo $mkey; ?>]"/>
                <?php if(isset($wcol_options['accomulative']) && $wcol_options['accomulative']=='on'){ ?>
                <input type="hidden" class="wcol-loop-checkbox-hidden wcol_accomulative" value="<?php echo $wcol_options['accomulative']; ?>" name="wcol_rules[accomulative][<?php echo $mkey; ?>]"/>
                <div class="options_group">
                    <p class="form-field">
                        <label><?php esc_html_e('Edit This Rule:', 'wc-order-limit'); ?></label>
                        <span class="wcol-help-tip" style="float:none;">
                            <span class="wcol-tip" > <?php esc_html_e("This Product is included in a Rule that is being applied accomulatively with other products so if you edit this products's limit options then it will be excluded from that accomulative rule.", 'wc-order-limit'); ?> </span>
                        </span>
                        <input type="checkbox" class="wcol_edit_rule" />
                    </p>
                </div>
                <?php }else{ ?>
                <input type="hidden" class="wcol_accomulative" value="<?php echo isset($wcol_options['accomulative'])? $wcol_options['accomulative']:''; ?>" name="wcol_rules[accomulative][<?php echo $mkey; ?>]"/>
                <?php } ?>
                
                <div class="options_group">
                    <p class="form-field">
                        <label><?php esc_html_e('Disable:', 'wc-order-limit'); ?></label>
                        <input type="hidden" class="wcol-loop-checkbox-hidden" name="wcol_rules[disable-limit][<?php echo $mkey; ?>]" value="<?php echo $wcol_options['disable-limit']; ?>"/>
                        <input class="wcol-disable-rule-limit wcol-loop-checkbox" type="checkbox" <?php if($wcol_options['disable-limit']=='on'){echo "checked";} ?> />
                    </p>
                    <p class="wcol-description"><?php esc_html_e('Leave blank for no limit.', 'wc-order-limit'); ?></p>
                </div>
                    
                <div class="options_group">
                    <p class="form-field">
                        <label><?php esc_html_e('Minimum Order:', 'wc-order-limit'); ?></label>
                        <input type="number" min="0"  class="wcol-rule-min-limit <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[min-rule-limit][<?php echo $mkey; ?>]" value="<?php echo isset($wcol_options['min-rule-limit']) ? $wcol_options['min-rule-limit'] : ''; ?>" placeholder="<?php esc_html_e('Enter Minimum Order Limit', 'wc-order-limit'); ?>" />
                    </p>
                    <p class="wcol-description"><?php esc_html_e('Leave blank for no limit.', 'wc-order-limit'); ?></p>
                </div>
                
                <div class="options_group">
                    <p class="form-field">
                        <label><?php esc_html_e('Check Previous Orders?', 'wc-order-limit'); ?></label>
                        <select class="across-all-orders-limit <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[across-all-orders][<?php echo $mkey; ?>]">
                            <option value="1" <?php if(isset($wcol_options['across-all-orders']) && $wcol_options['across-all-orders'] == '1' ){ echo 'selected="selected"';} ?>><?php esc_html_e('None','wc-order-limit'); ?></option>
                            <option value="2" <?php if(isset($wcol_options['across-all-orders']) && ($wcol_options['across-all-orders'] == '2' || $wcol_options['across-all-orders'] == 'on') ){ echo 'selected="selected"'; } ?>><?php esc_html_e('Previous Order of Current User','wc-order-limit'); ?></option>
                            <option value="3" <?php if(isset($wcol_options['across-all-orders']) && $wcol_options['across-all-orders'] == '3' ){ echo 'selected="selected"'; } ?>><?php esc_html_e('Previous Order of All Users','wc-order-limit'); ?></option>
                        </select>
                    </p>
                    <p class="wcol-description"><?php esc_html_e('Min Limits will be ignored if this feature is enabled.', 'wc-order-limit'); ?></p>
                </div>
                
                <div class="options_group">
                    <p class="form-field">
                        <label><?php esc_html_e('Enable Maximum Limit:', 'wc-order-limit'); ?></label>
                        <input type="hidden" class="enable-max-rule-limit-hidden wcol-loop-checkbox-hidden" value="<?php echo $wcol_options['enable-max-rule-limit']; ?>" name="wcol_rules[enable-max-rule-limit][<?php echo $mkey; ?>]"/>
                        <input type="checkbox" class="wcol-loop-checkbox enable-max-rule-limit <?php if($wcol_options['across-all-orders'] !='none'){echo 'wcol-disabled';} ?> <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" title="<?php if( isset($wcol_options['across-all-orders']) && $wcol_options['across-all-orders']=='on'){esc_html_e('Previous Orders Option is Enabled', 'wc-order-limit');} ?>" min="0" <?php  if(isset($wcol_options['enable-max-rule-limit']) and $wcol_options['enable-max-rule-limit']){ echo 'checked';} ?> />
                    </p>
                    <p class="form-field <?php if($wcol_options['enable-max-rule-limit']!='on'){echo "wcol-hidden";}?>">
                        <label><?php esc_html_e('Maximum Order:', 'wc-order-limit'); ?></label>
                        <input type="number" class="wcol-rule-max-limit <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" min="0" name="wcol_rules[max-rule-limit][<?php echo $mkey; ?>]" value="<?php echo isset($wcol_options['max-rule-limit']) ? $wcol_options['max-rule-limit'] : ''; ?>" placeholder="<?php esc_html_e('Enter Maximum Order Limit', 'wc-order-limit'); ?>" />
                    </p>
                </div>
                
                <div class="options_group">
                    <p class="form-field">
                        <label><?php esc_html_e('Enable Time Span:', 'wc-order-limit'); ?></label>
                        <input type="hidden" class="enable-time-limit-hidden wcol-loop-checkbox-hidden <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" value="<?php echo $wcol_options['enable-time-limit']; ?>" name="wcol_rules[enable-time-limit][<?php echo $mkey; ?>]"/>
                        <input class="wcol-loop-checkbox enable-time-limit <?php if($wcol_options['across-all-orders'] !='none'){echo 'wcol-disabled';} ?> <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" title="<?php if($wcol_options['across-all-orders']=='on'){esc_html_e('Previous Orders Option is Enabled', 'wc-order-limit');} ?>" type="checkbox" <?php  if(isset($wcol_options['enable-time-limit']) and $wcol_options['enable-time-limit']){ echo 'checked';} ?> />
                    </p>
                    
                    <p class="form-field <?php if($wcol_options['enable-time-limit']!='on'){echo "wcol-hidden";}?>">
                        <label><?php esc_html_e('Time Span:', 'wc-order-limit'); ?></label>
                        <select class="wcol-rule-time-span <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[rule-time-span][<?php echo $mkey; ?>]">
                            <option value="daily" <?php if ($wcol_options['rule-time-span'] == 'daily'){ echo 'selected'; } ?> ><?php esc_html_e('Daily'); ?></option>
                            <option value="weekly" <?php if ($wcol_options['rule-time-span'] == 'weekly'){ echo 'selected'; } ?>><?php esc_html_e('Weekly'); ?></option>
                            <option value="monthly" <?php if ($wcol_options['rule-time-span'] == 'monthly'){ echo 'selected'; } ?>><?php esc_html_e('Monthly'); ?></option>
                            <option value="yearly" <?php if ($wcol_options['rule-time-span'] == 'yearly'){ echo 'selected'; } ?>><?php esc_html_e('Yearly'); ?></option>
                            <option value="custom" <?php if ($wcol_options['rule-time-span'] == 'custom'){ echo 'selected'; } ?>><?php esc_html_e('Custom'); ?></option>
                        </select>
                    </p>
                    <p class="form-field <?php if($wcol_options['rule-time-span']!='yearly'){echo "wcol-hidden";}?>">
                        <label><?php esc_html_e('Year Start Date:', 'wc-order-limit'); ?></label>
                        <input type="number" max="31" min="01" class="wcol-yearly-start-day <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[yearly-start-day][<?php echo $mkey; ?>]" value="<?php echo $wcol_options['yearly-start-day']; ?>"/>
                        <select class="wcol-yearly-start-month <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[yearly-start-month][<?php echo $mkey; ?>]">
                            <?php if(is_array($monthsArray )){ foreach($monthsArray as $key => $value){ ?>
                                <option value="<?php echo $key; ?>" <?php if($wcol_options['yearly-start-month'] == $key){ echo 'selected'; } ?> ><?php echo $value; ?></option>
                            <?php } } ?>
                        </select>
                    </p>
                    <p class="form-field <?php if($wcol_options['rule-time-span']!='weekly'){echo "wcol-hidden";} ?>">
                        <label><?php esc_html_e('Week Start Day:', 'wc-order-limit'); ?></label>
                        <select class="wcol-weekly-start-day <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[weekly-start-day][<?php echo $mkey; ?>]">
                            <?php if(is_array($weeksArray)){ foreach($weeksArray as $key => $value){ ?>
                                <option value="<?php echo $key; ?>" <?php if($wcol_options['weekly-start-day'] == $key){ echo 'selected'; } ?> ><?php echo $value; ?></option>
                            <?php } } ?>
                        </select>
                    </p>
                    <p class="form-field <?php if($wcol_options['rule-time-span']!='monthly'){echo "wcol-hidden";} ?>">
                        <label><?php esc_html_e('Month Start Date:', 'wc-order-limit'); ?></label>
                        <input class="wcol-monthly-start-date <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" type="number" min="01" max="31" name="wcol_rules[monthly-start-date][<?php echo $mkey; ?>]" value="<?php echo $wcol_options['monthly-start-date']; ?>"/>
                    </p>
                    <p class="form-field <?php if($wcol_options['rule-time-span']!='custom'){echo "wcol-hidden";}?>">
                        <label><?php esc_html_e('Start Time:', 'wc-order-limit'); ?></label>
                        <input type="text" class="wcol-rule-start-time <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[rule-start-time][<?php echo $mkey; ?>]" value="<?php echo isset($wcol_options['rule-start-time']) ? $wcol_options['rule-start-time'] : ''; ?>" />
                    </p>
                    
                    <p class="form-field <?php if($wcol_options['rule-time-span']!='custom'){echo "wcol-hidden";}?>">
                        <label><?php esc_html_e('End Time:', 'wc-order-limit'); ?></label>
                        <input type="text" class="wcol-rule-end-time <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[rule-end-time][<?php echo $mkey; ?>]" value="<?php echo isset($wcol_options['rule-end-time']) ? $wcol_options['rule-end-time'] : ''; ?>" />
                    </p>
                </div>
                
                <div class="options_group">                                                                        
                    <p class="form-field">
                        <label><?php esc_html_e('Applied on:', 'wc-order-limit'); ?></label>
                        <select class='wcol-applied-on <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>' name="wcol_rules[applied_on][<?php echo $mkey; ?>]" >
                            <option value="amount" <?php if(isset($wcol_options['applied_on']) && $wcol_options['applied_on']=='amount'){ echo 'selected'; } ?>> <?php esc_html_e('Amount', 'wc-order-limit'); ?> </option>
                            <option value="quantity" <?php if(isset($wcol_options['applied_on']) && $wcol_options['applied_on']=='quantity'){ echo 'selected'; } ?> > <?php esc_html_e('Quantity', 'wc-order-limit'); ?> </option>
                            <?php if( is_plugin_active('woo-download-credits-platinum/woo-download-credits-platinum.php') ){ ?>
                             <option value = "credits" <?php if(isset($wcol_options['applied_on']) && $wcol_options['applied_on'] == 'credits'){ echo 'selected';} ?> > <?php esc_html_e('Credits', 'wc-order-limit'); ?> </option>
                            <?php }?>
                        </select>
                    </p>
                    <p class="wcol-description"><?php esc_html_e('Select if limit will be applied on quantity or amount.', 'wc-order-limit'); ?></p>
                </div>
                
                <div class="options_group">                                                                        
                    <p class="form-field">
                        <label><?php esc_html_e('Enable for Users:', 'wc-order-limit'); ?></label>
                        <input type="hidden" class="wcol-loop-checkbox-hidden" value="<?php echo $wcol_options['enable-for-users']; ?>" name="wcol_rules[enable-for-users][<?php echo $mkey; ?>]"/>
                        <input type="checkbox" class="wcol-loop-checkbox enable-users-limit <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>"  <?php  if(isset($wcol_options['enable-for-users']) and $wcol_options['enable-for-users']){ echo 'checked';} ?> />
                    </p>
                    <p class="form-field <?php if($wcol_options['enable-for-users']!='on'){echo "wcol-hidden";} ?>">
                        <label><?php esc_html_e('User Type:', 'wc-order-limit'); ?></label>
                        <select class="wcol-rule-user-type <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[user-type][<?php echo $mkey; ?>]" >   
                            <option value="guest-users" <?php if ($wcol_options['user-type'] == 'guest-users'){ echo 'selected'; } ?> ><?php esc_html_e('Guest Users Only'); ?></option>
                            <option value="specific-users" <?php if ($wcol_options['user-type'] == 'specific-users'){ echo 'selected'; } ?>><?php esc_html_e('Specific Users Only'); ?></option>
                            <option value="specific-roles" <?php if ($wcol_options['user-type'] == 'specific-roles'){ echo 'selected'; } ?>><?php esc_html_e('Specific Roles Only'); ?></option>
                            <option value="all-users" <?php if ($wcol_options['user-type'] == 'all-users'){ echo 'selected'; } ?>><?php esc_html_e('All Users'); ?></option>
                        </select>
                    </p>
                    <p class="form-field <?php if($wcol_options['enable-for-users']!='on' || $wcol_options['user-type'] != 'specific-users'){echo "wcol-hidden";} ?>">
                        <label><?php esc_html_e('Users:', 'wc-order-limit'); ?></label>
                        <?php $user_ids =array();
                                if(isset($wcol_options['rule-users'])){
                                    $user_ids = $wcol_options['rule-users'];
                                }
                                
                            ?>
                            <select class="wcol-select-users wcol-rule-users <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[rule-users][<?php echo $mkey; ?>][]" multiple="multiple" >
                                <?php 
                                if(!empty($user_ids) && is_array($user_ids)){
                                    foreach($user_ids as $id){
                                        $user_info =  get_userdata( $id );
                                        echo '<option value="'.$id.'" selected="selected">'.$user_info->user_login.'</option>';

                                    }
                                }
                                ?>
                            </select>
                    </p>
                    <p class="form-field <?php if($wcol_options['enable-for-users']!='on' || $wcol_options['user-type'] != 'specific-roles'){echo "wcol-hidden";} ?>">
                        <label><?php esc_html_e('Roles:', 'wc-order-limit'); ?></label>

                        <?php 
                                $user_roles =array(); 
                                if(isset($wcol_options['rule-roles'])){
                                    $user_roles = $wcol_options['rule-roles'];
                                }
                            ?>
                            <select class="wcol-select-roles wcol-rule-roles <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol_rules[rule-roles][<?php echo $mkey; ?>][]" multiple="multiple" >
                                <?php
                                if(!empty($user_roles) && is_array($user_roles)){
                                    foreach($user_roles as $role){
                                        echo '<option value="'.$role.'" selected="selected">'.ucfirst($role).'</option>';

                                    }
                                }
                                ?>
                            </select>
                    </p>
                    
                </div>
                <div class="options_group">
                    <p class="form-field">
                        <label><?php esc_html_e('Enable for Payment Method:', 'wc-order-limit'); ?></label>
                        <input type="hidden" class="wcol-loop-checkbox-hidden" value="<?php echo $wcol_options['enable-for-payment']; ?>" name="wcol_rules[enable-for-payment][<?php echo $mkey; ?>]"/>
                        <input type="checkbox" class="wcol-loop-checkbox enable-payment-limit <?php if($wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>"  <?php  if(isset($wcol_options['enable-for-payment']) and $wcol_options['enable-for-payment']){ echo 'checked';} ?> />
                    </p>
                    <p class="form-field wcol-payment-method <?php if(isset($wcol_options['enable-for-payment']) && $wcol_options['enable-for-payment']!='on'){echo "wcol-hidden";} if(!isset($wcol_options['enable-for-payment'])){ echo "wcol-hidden"; }?>">
                        <label><?php esc_html_e('Payment Method' ,'wc-order-limit'); ?>:</label>
                        <select class="wcol-rule-payment-type <?php if(isset($wcol_options['disable-limit']) && $wcol_options['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[payment-method][<?php echo $mkey; ?>][]" multiple="multiple">
                            <?php 
                                if(is_array($installed_payment_methods) && !empty($installed_payment_methods)){
                                    foreach($installed_payment_methods as $key=>$method){
                                        $selected = '';
                                        if (isset($wcol_options['payment-method']) && in_array($key,$wcol_options['payment-method'])){
                                            $selected = 'selected="selected"'; 
                                        }
                                        echo "<option value='".$key."' ".$selected.">".$method->title."</option>";
                                    }
                                }
                            ?>
                        </select>
                    </p> 
                </div>
            </div>  
        </div>
        
        <?php $xs_i = $mkey; } } ?>
        <input type="hidden" class="xswcol-spid" class="xswcol-spid" value="<?php echo $xs_i;?>">
    </div>
</div>