<?php
// Exit if directly access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
$tab = isset($_GET['tab']) ? $_GET['tab'] : 'wcol-license-tab';
$license = get_option('wcol_license',array());
?>
<div class="warp">
    <div id="icon-options-general" class="icon32"></div>
    <h1>
        <?php esc_html_e('WC Order Limit' , 'wc-order-limit') ?>
    </h1>
    <nav class="nav-tab-wrapper wp-clearfix" aria-label="Secondary menu">
        <a  class="nav-tab <?php if($tab  == 'wcol-license-tab'){ echo 'nav-tab-active'; } ?>"  href="?post_type=wcol_rule&page=wcol-support&tab=wcol-license-tab">
            <?php _e('License','wc-order-limit'); ?>
        </a>
        <a  class="nav-tab <?php  if($tab =='report' ){ echo 'nav-tab-active'; } ?>" href="?post_type=wcol_rule&page=wcol-support&tab=report">
            <?php esc_html_e( 'Report a bug' , 'wc-order-limit' ); ?>
        </a>
        <a  class="nav-tab <?php  if($tab =='request' ){ echo 'nav-tab-active'; } ?>" href="?post_type=wcol_rule&page=wcol-support&tab=request" class="nav-tab">
            <?php esc_html_e( 'Request a Feature' , 'wc-order-limit' ); ?>
        </a>
        <a  class="nav-tab <?php  if($tab =='hire' ){ echo 'nav-tab-active'; } ?>" href="?post_type=wcol_rule&page=wcol-support&tab=hire" class="nav-tab">
            <?php esc_html_e( 'Hire US' , 'wc-order-limit' ); ?>
        </a>
        <a  class="nav-tab <?php  if($tab =='review' ){ echo 'nav-tab-active'; } ?>" href="?post_type=wcol_rule&page=wcol-support&tab=review" class="nav-tab">
            <?php esc_html_e( 'Review' , 'wc-order-limit' ); ?>
        </a>
    </nav>
    <div class="tab-content">
        <?php switch ($tab) {
            case 'report':
                ?>
                <div class="xs-send-email-notice wcol-top-margin">
                    <p></p>
                    <button type="button" class="notice-dismiss xs-notice-dismiss"><span class="screen-reader-text"><?php esc_html_e('Dismiss this notice.', 'wc-order-limit' );?></span></button>
                </div>
                <form method="post" class="wcol_support_form">
                    <input type="hidden" name="type" value="report">
                    <table class="form-table">
                        <tbody>
                            <tr valign="top">
                                <th>
                                    <label for='wcol_name'><?php esc_html_e('Your Name:', 'wc-order-limit'); ?></label>
                                </th>
                                <td>
                                    <input type="text" id="wcol_name" name="wcol_name" required="required">
                                </td>
                            </tr>
                            <tr valign="top">
                                <th>
                                    <label for="wcol_email"><?php esc_html_e('Your Email:', 'wc-order-limit'); ?></label>
                                </th>
                                <td>
                                    <input type="email" id="wcol_email" name="wcol_email" required="required">
                                </td>
                            </tr>
                            <tr valign="top">
                                <th>
                                    <label for="wcol_message"><?php esc_html_e('Message:', 'wc-order-limit'); ?></label>
                                </th>
                                <td>
                                    <textarea id="wcol_message" name="wcol_message" rows="12", cols="47" required="required"></textarea>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="input-group">
                        <?php submit_button(__( 'Send', 'wc-order-limit' ), 'primary wcol-send-mail'); ?>
                        <span class="spinner wcol-mail-spinner"></span>
                    </div>
                </form>
                <?php
                break;
            case 'request':
                ?>
                <div class="xs-send-email-notice wcol-top-margin">
                    <p></p>
                    <button type="button" class="notice-dismiss xs-notice-dismiss"><span class="screen-reader-text"><?php esc_html_e('Dismiss this notice.', 'wc-order-limit');?></span></button>
                </div>
                <form method="post" class="wcol_support_form">
                    <input type="hidden" name="type" value="request">
                    <table class="form-table">
                        <tbody>
                            <tr valign="top">
                                <th>
                                    <label for='wcol_name'><?php esc_html_e('Your Name:', 'wc-order-limit'); ?></label>
                                </th>
                                <td>
                                    <input type="text" id="wcol_name" name="wcol_name" required>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th>
                                    <label for="wcol_email"><?php esc_html_e('Your Email:', 'wc-order-limit'); ?></label>
                                </th>
                                <td>
                                    <input type="email" id="wcol_email" name="wcol_email" required>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th>
                                    <label for="wcol_message"><?php esc_html_e('Message:', 'wc-order-limit'); ?></label>
                                </th>
                                <td>
                                    <textarea id="wcol_message" name="wcol_message" rows="12", cols="47" required></textarea>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="input-group">
                        <?php submit_button(__( 'Send', 'wc-order-limit' ), 'primary wcol-send-mail'); ?>
                        <span class="spinner wcol-mail-spinner"></span>
                    </div>
                    
                </form>
                <?php
                break;
            case 'hire':
                ?>
                <h2 class="wcol-top-margin"><?php esc_html_e("Hire us for Customization and Development of WordPress Plugins and Themes." , 'wc-order-limit') ?></h2>
                <div class="xs-send-email-notice wcol-top-margin">
                    <p></p>
                    <button type="button" class="notice-dismiss xs-notice-dismiss"><span class="screen-reader-text"><?php esc_html_e('Dismiss this notice.' ,'wc-order-limit');?></span></button>
                </div>
                <form method="post" class="wcol_support_form">
                    <input type="hidden" name="type" value="hire">
                    <table class="form-table">
                        <tbody>
                            <tr valign="top">
                                <th>
                                    <label for='wcol_name'><?php esc_html_e('Your Name:', 'wc-order-limit'); ?></label>
                                </th>
                                <td>
                                    <input type="text" id="wcol_name" name="wcol_name" required="required">
                                </td>
                            </tr>
                            <tr valign="top">
                                <th>
                                    <label for="wcol_email"><?php esc_html_e('Your Email:', 'wc-order-limit'); ?></label>
                                </th>
                                <td>
                                    <input type="email" id="wcol_email" name="wcol_email" required="required">
                                </td>
                            </tr>
                            <tr valign="top">
                                <th>
                                    <label for="wcol_message"><?php esc_html_e('Message:', 'wc-order-limit'); ?></label>
                                </th>
                                <td>
                                    <textarea id="wcol_message" name="wcol_message" rows="12", cols="47" required="required"></textarea>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="input-group">
                        <?php submit_button(__( 'Send', 'wc-order-limit' ), 'primary wcol-send-mail'); ?>
                        <span class="spinner wcol-mail-spinner"></span>
                    </div>
                </form>
                <?php
                break;
            case 'review':
                ?>
                <p class="about-description wcol-top-margin"><?php esc_html_e("If you like our plugin and support than kindly share your  " , 'wc-order-limit') ?> <a href="https://codecanyon.net/item/woocommerce-wc-vendors-order-limit/20688279" target="_blank"> <?php esc_html_e("feedback" , 'wc-order-limit') ?> </a><?php esc_html_e("Your feedback is valuable." , 'wc-order-limit') ?> </p>
                <?php
                break;
            default:
                include plugin_dir_path( __FILE__ ).'wc-order-limit-license.php';
                break;
        }
        ?>
    </div>
</div>