<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://xfinitysoft.com/
 * @since      5.0.0
 *
 * @package    Wc_Order_Limit
 * @subpackage Wc_Order_Limit/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      5.0.0
 * @package    Wc_Order_Limit
 * @subpackage Wc_Order_Limit/includes
 * @author     xfinitysoft <support@xfinitysoft.com>
 */
class Wc_Order_Limit_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    5.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'wc-order-limit',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
