<?php

/**
 *
 * @link              http://xfinitysoft.com/
 * @since             5.0.0
 * @package           Wc_Order_Limit
 *
 * @wordpress-plugin
 * Plugin Name:       WC Order Limit
 * Plugin URI:        https://www.persianscript.ir/
 * Description:       Set Order limits i.e Minimum Order Limit for vendors, Minimum Order Limit for products, Minimum Order Limit for product categories, Minimum Order Limit for complete order. 
 * Version:           5.1.5
 * Author:            پرشین اسکریپت
 * Requires at least: 4.4.0
 * Tested up to:      5.8
 * WC requires at least: 4.0
 * WC tested up to:      5.9.0
 * Author URI:        https://www.persianscript.ir/
 * Text Domain:       wc-order-limit
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 5.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'WC_ORDER_LIMIT_VERSION', '5.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wc-order-limit-activator.php
 */
function activate_wc_order_limit() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wc-order-limit-activator.php';
	Wc_Order_Limit_Activator::activate();
}
register_activation_hook( __FILE__, 'activate_wc_order_limit' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wc-order-limit.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    5.0.0
 */
function run_wc_order_limit() {
	$plugin = new Wc_Order_Limit();
	$plugin->run();
}

if(in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
	run_wc_order_limit();
}else{
 	add_action( 'admin_notices','xscol_wc_missing_notice');
}
function xscol_wc_missing_notice(){
 	echo '<div class="error"><p><strong>' . sprintf( esc_html__( 'WC Order Limit requires WooCommerce to run. You can download %s here.', 'wc-order-limit' ), '<a href="https://wordpress.org/plugins/woocommerce/" target="_blank">WooCommerce</a>' ) . '</strong></p></div>';
}